<template>
  <div id="register">
    <div class="container">
      <div id="register-row" class="row justify-content-center align-items-center">
        <div id="register-column" class="col-md-4">
          <div id="register-box" class="col-md-12">
            <div v-if="isRegistrationCompleted">
              <RegisterCompleted />
            </div>
            <div v-else="">
              <RegisterForm />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>

import {mapGetters} from "vuex";

import RegisterForm from "@/components/register/RegisterForm";
import RegisterCompleted from "@/components/register/RegisterCompleted";

export default {
  name: 'Register',
  components: {
    RegisterForm,
    RegisterCompleted
  },
  computed: {
    ...mapGetters(["isRegistrationCompleted"])
  }
}
</script>

<style scoped>
</style>
